package kaysaar.aotd_question_of_loyalty.data.scripts.rulesInterceptor;

import java.util.Iterator;
import java.util.List;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;
import java.util.Collection;
import java.util.ArrayList;
import kaysaar.aotd_question_of_loyalty.data.tags.AoTDCommisionTags;
import kaysaar.aotd_question_of_loyalty.data.tags.AoTDRankTags;
import kaysaar.aotd_question_of_loyalty.data.intel.AoTDCommIntelPlugin;
import com.fs.starfarer.api.Global;

public class ResignCommsionReplaceScript extends BaseReplaceScript
{
    @Override
    public void advance(final float amount) {
        if (Global.getSector().getCampaignUI().isShowingDialog()) {
            final InteractionDialogAPI dialog = Global.getSector().getCampaignUI().getCurrentInteractionDialog();
            if (dialog != null && AoTDCommIntelPlugin.get() != null) {
                if (dialog.getOptionPanel().hasOption((Object)"cmsn_resignCommission") && !this.isInInteraction) {
                    this.isInInteraction = true;
                    dialog.getOptionPanel().removeOption((Object)"cmsn_resignCommission");
                    final List list = dialog.getOptionPanel().getSavedOptionList();
                    dialog.getOptionPanel().clearOptions();
                    String tooltip = null;
                    if (!AoTDCommIntelPlugin.get().canResign()) {
                        tooltip = "We can't resign our commission, due to our high ranking position.";
                    }
                    if (!AoTDCommIntelPlugin.get().getCurrentRankData().hasTag(AoTDRankTags.CAN_RETIRE)) {
                        dialog.getOptionPanel().addOption("我想解除雇佣合同", (Object)"aotd_cmsn_resignCommission", AoTDCommIntelPlugin.optionColor, tooltip);
                    }
                    else {
                        dialog.getOptionPanel().addOption("我想解除雇佣合同", (Object)"aotd_cmsn_retire", AoTDCommIntelPlugin.optionColor, tooltip);
                    }
                    if (!AoTDCommIntelPlugin.get().getData().hasTag(AoTDCommisionTags.UP_RANK_AUTOMATICALLY)) {
                        dialog.getOptionPanel().addOption("我想跟你聊聊关于我职位晋升的事", (Object)"aotd_ask_promotion", AoTDCommIntelPlugin.optionColor, (String)null);
                    }
                    final List list2 = dialog.getOptionPanel().getSavedOptionList();
                    final ArrayList<Object> objects = new ArrayList<Object>(list2);
                    final List list3 = dialog.getOptionPanel().getSavedOptionList();
                    list3.clear();
                    dialog.getOptionPanel().clearOptions();
                    int i = 0;
                    for (final Object o : list) {
                        if (i == 1) {
                            list3.addAll(objects);
                        }
                        list3.add(o);
                        ++i;
                    }
                    dialog.getOptionPanel().restoreSavedOptions(list3);
                    dialog.getOptionPanel().setShortcut(list3.get(list3.size() - 1), 1, false, false, false, true);
                    if (AoTDCommIntelPlugin.get().getData().hasTag(AoTDCommisionTags.UP_RANK_AUTOMATICALLY)) {
                        dialog.getOptionPanel().removeOption((Object)"aotd_ask_promotion");
                    }
                    dialog.getOptionPanel().setEnabled((Object)"aotd_cmsn_resignCommission", AoTDCommIntelPlugin.get().canResign());
                }
                else if (!dialog.getOptionPanel().hasOption((Object)"aotd_cmsn_resignCommission")) {
                    this.isInInteraction = false;
                }
            }
        }
        else {
            this.isInInteraction = false;
        }
    }
}
